cmake_minimum_required(VERSION 3.4.1)

# now build app's shared lib
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall")

add_definitions(-DPLATFORM_ANDROID)
include_directories(
					.
					../../../../../..
					../../../../../../game
					)

#add_subdirectory(./)

#OpenAL
#include_directories(./SampleInclude)
include_directories(./openal)
include_directories(./openal/OpenAL32/Include)
include_directories(./openal/Alc)

add_definitions("-DAL_BUILD_LIBRARY")
add_definitions("-DAL_ALEXT_PROTOTYPES")
#add_definitions("-DHAVE_NEON=0")
add_definitions("-DHAVE_ARM_NEON_H=0")
#
add_definitions("-DANDROID_CPU_ARM_FEATURE_NEON=0")
#

add_library(
		gxLib2018 SHARED
		../../../../../../game/gameMain.cpp

		../../../../../../game/gunhound/CGXImage.cpp
		../../../../../../game/gunhound/CGXImage.h
		../../../../../../game/gameMain.cpp
		../../../../../../game/gunvalken.h
		../../../../../../game/gunhound/appendTexture.h
		../../../../../../game/gunhound/DEFSound.h
		../../../../../../game/gunhound/DEFTexture.h
		../../../../../../game/gunhound/GGA2.h
		../../../../../../game/gunhound/GGA2X.H
		../../../../../../game/gunhound/ghLib.cpp
		../../../../../../game/gunhound/ghMain.cpp
		../../../../../../game/gunhound/winMatrix.cpp
		../../../../../../game/gunhound/DashBoard/CDashBoard.cpp
		../../../../../../game/gunhound/DashBoard/CDashBoard.h
		../../../../../../game/gunhound/DashBoard/CDashEnvironment.cpp
		../../../../../../game/gunhound/DashBoard/CDashEnvironment.h
		../../../../../../game/gunhound/DashBoard/CDashPadConfig.cpp
		../../../../../../game/gunhound/DashBoard/CDashPadConfig.h
		../../../../../../game/gunhound/util/command/CWazaCommand.cpp
		../../../../../../game/gunhound/util/command/CWazaCommand.h
		../../../../../../game/gunhound/vii_src/CbackGround.cpp
		../../../../../../game/gunhound/vii_src/CbackGround.h
		../../../../../../game/gunhound/vii_src/CBellowsSprite.cpp
		../../../../../../game/gunhound/vii_src/CBellowsSprite.h
		../../../../../../game/gunhound/vii_src/CEasyLeynos.cpp
		../../../../../../game/gunhound/vii_src/CEasyLeynos.h
		../../../../../../game/gunhound/vii_src/CEffect.cpp
		../../../../../../game/gunhound/vii_src/CEffect.h
		../../../../../../game/gunhound/vii_src/CFadeManager.cpp
		../../../../../../game/gunhound/vii_src/CFadeManager.h
		../../../../../../game/gunhound/vii_src/CHitManager.cpp
		../../../../../../game/gunhound/vii_src/CHitManager.h
		../../../../../../game/gunhound/vii_src/CMechBone.cpp
		../../../../../../game/gunhound/vii_src/CMechBone.h
		../../../../../../game/gunhound/vii_src/CObj.cpp
		../../../../../../game/gunhound/vii_src/CObj.h
		../../../../../../game/gunhound/vii_src/CPenduram.cpp
		../../../../../../game/gunhound/vii_src/CPenduram.h
		../../../../../../game/gunhound/vii_src/CStage.cpp
		../../../../../../game/gunhound/vii_src/CStage.h
		../../../../../../game/gunhound/vii_src/globals.cpp
		../../../../../../game/gunhound/vii_src/globals.h
		../../../../../../game/gunhound/vii_src/GunHound.h
		../../../../../../game/gunhound/vii_src/sprdat.cpp
		../../../../../../game/gunhound/vii_src/sprdat.h
		../../../../../../game/gunhound/vii_src/vii_def.h
		../../../../../../game/gunhound/vii_src/vii_main.cpp
		../../../../../../game/gunhound/vii_src/vii_sub.cpp
		../../../../../../game/gunhound/vii_src/vii_sub.h
		../../../../../../game/gunhound/vii_src/Effect/CEffAtkHomingMissile.cpp
		../../../../../../game/gunhound/vii_src/Effect/CEffAtkHomingMissile.h
		../../../../../../game/gunhound/vii_src/Effect/CEffAtkLaser.cpp
		../../../../../../game/gunhound/vii_src/Effect/CEffAtkLaser.h
		../../../../../../game/gunhound/vii_src/Effect/CEffAtkPunch.cpp
		../../../../../../game/gunhound/vii_src/Effect/CEffAtkPunch.h
		../../../../../../game/gunhound/vii_src/Effect/CEffBomb.cpp
		../../../../../../game/gunhound/vii_src/Effect/CEffBomb.h
		../../../../../../game/gunhound/vii_src/Effect/CEffBrokenFloor.cpp
		../../../../../../game/gunhound/vii_src/Effect/CEffBrokenFloor.h
		../../../../../../game/gunhound/vii_src/Effect/CEffEagis.cpp
		../../../../../../game/gunhound/vii_src/Effect/CEffEagis.h
		../../../../../../game/gunhound/vii_src/Effect/CEffectBase.cpp
		../../../../../../game/gunhound/vii_src/Effect/CEffeneBitLaser.cpp
		../../../../../../game/gunhound/vii_src/Effect/CEffeneBitLaser.h
		../../../../../../game/gunhound/vii_src/Effect/CEffEnegun.cpp
		../../../../../../game/gunhound/vii_src/Effect/CEffEnegun.h
		../../../../../../game/gunhound/vii_src/Effect/CEffFire.cpp
		../../../../../../game/gunhound/vii_src/Effect/CEffFire.h
		../../../../../../game/gunhound/vii_src/Effect/CEffHound.cpp
		../../../../../../game/gunhound/vii_src/Effect/CEffHound.h
		../../../../../../game/gunhound/vii_src/Effect/CEffMachinegun.cpp
		../../../../../../game/gunhound/vii_src/Effect/CEffMachinegun.h
		../../../../../../game/gunhound/vii_src/Effect/CEffPerticle.cpp
		../../../../../../game/gunhound/vii_src/Effect/CEffPerticle.h
		../../../../../../game/gunhound/vii_src/Effect/CEffSandStorm.cpp
		../../../../../../game/gunhound/vii_src/Effect/CEffSandStorm.h
		../../../../../../game/gunhound/vii_src/Effect/CEffScene01.cpp
		../../../../../../game/gunhound/vii_src/Effect/CEffScene01.h
		../../../../../../game/gunhound/vii_src/Effect/CEffScene02.cpp
		../../../../../../game/gunhound/vii_src/Effect/CEffScene02.h
		../../../../../../game/gunhound/vii_src/Effect/CEffScene03.cpp
		../../../../../../game/gunhound/vii_src/Effect/CEffScene03.h
		../../../../../../game/gunhound/vii_src/Effect/CEffScene0A01.cpp
		../../../../../../game/gunhound/vii_src/Effect/CEffScene0A01.h
		../../../../../../game/gunhound/vii_src/Effect/CEffScene0A02.cpp
		../../../../../../game/gunhound/vii_src/Effect/CEffScene0A02.h
		../../../../../../game/gunhound/vii_src/Effect/CEffScn04Tree.cpp
		../../../../../../game/gunhound/vii_src/Effect/CEffScn04Tree.h
		../../../../../../game/gunhound/vii_src/Effect/CEffShipBurnia.cpp
		../../../../../../game/gunhound/vii_src/Effect/CEffShipBurnia.h
		../../../../../../game/gunhound/vii_src/Effect/CEffWater.cpp
		../../../../../../game/gunhound/vii_src/Effect/CEffWater.h
		../../../../../../game/gunhound/vii_src/Effect/CEffZanzo.cpp
		../../../../../../game/gunhound/vii_src/Effect/CEffZanzo.h
		../../../../../../game/gunhound/vii_src/Effect/EffectBase.h
		../../../../../../game/gunhound/vii_src/Effect/eff_atk.cpp
		../../../../../../game/gunhound/vii_src/Effect/eff_cmn.cpp
		../../../../../../game/gunhound/vii_src/Effect/eff_ene.cpp
		../../../../../../game/gunhound/vii_src/Effect/ItemBox.cpp
		../../../../../../game/gunhound/vii_src/Effect/ItemBox.h
		../../../../../../game/gunhound/vii_src/Enemy/CEne0000Dummy.cpp
		../../../../../../game/gunhound/vii_src/Enemy/CEne0000Dummy.h
		../../../../../../game/gunhound/vii_src/Enemy/CEne0001EneBullet.cpp
		../../../../../../game/gunhound/vii_src/Enemy/CEne0001EneBullet.h
		../../../../../../game/gunhound/vii_src/Enemy/CGunHound.cpp
		../../../../../../game/gunhound/vii_src/Enemy/CGunHound.h
		../../../../../../game/gunhound/vii_src/Enemy/cgunhoundarms.h
		../../../../../../game/gunhound/vii_src/Enemy/cgunhoundtbl.h
		../../../../../../game/gunhound/vii_src/Enemy/CSoldierBase.cpp
		../../../../../../game/gunhound/vii_src/Enemy/CSoldierBase.h
		../../../../../../game/gunhound/vii_src/Enemy/enemy.h
		../../../../../../game/gunhound/vii_src/Enemy/EnemyBase.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CAtkH0001Missile.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CAtkH0001Missile.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CAtkH0002GMissile.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CAtkH0002GMissile.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CAtkH0003Effect.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CAtkH0003Effect.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneCommon.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneCommon.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0000PunchBall.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0000PunchBall.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0002Commanch.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0002Commanch.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0003Vorzoy.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0003Vorzoy.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0004Tachikoma.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0004Tachikoma.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0005TransHeli.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0005TransHeli.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0006UGTortika.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0006UGTortika.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0007YusouHeli.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0007YusouHeli.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0008BloodSocker.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0008BloodSocker.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0008GunTank.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0008GunTank.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0101HeavyTank.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0101HeavyTank.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0102NightSpider.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0102NightSpider.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0103ClubGunner.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0103ClubGunner.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0104LightTank.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0104LightTank.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0105TankGuard.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0105TankGuard.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0106Yagura.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0106Yagura.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0107Walker.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0107Walker.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0108Hovered.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0108Hovered.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0201VorzoyFly.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0201VorzoyFly.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0202VorzoyWP.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0202VorzoyWP.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0203Serpent.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0203Serpent.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0203Snake.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0203Snake.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0204Grazzi.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0204Grazzi.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0205Danmaku.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0205Danmaku.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0206Bee.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0206Bee.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0207TransShips.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0207TransShips.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0301Gunpelly.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0301Gunpelly.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0303Gerwalk.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0303Gerwalk.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0304Bee.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0304Bee.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0305Missile.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0305Missile.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0401MovingCannon.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0401MovingCannon.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0403Tarantura.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0403Tarantura.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0404GravityStar.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0404GravityStar.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0405Nancy.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0405Nancy.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0406Carrymissile.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0406Carrymissile.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0407Nautilus.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0407Nautilus.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0408Powerdsuit.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0408Powerdsuit.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0409SlideCannon.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0409SlideCannon.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0410Wall.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0410Wall.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0411Stunbarrier.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0411Stunbarrier.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0412Stunbarrier.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0412Stunbarrier.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0413Fannel.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0413Fannel.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0501PlasmaMachine.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0501PlasmaMachine.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0503HoundFly.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0503HoundFly.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0504Boss.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/CEneH0504Boss.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/HoundsEnemy.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/HoundsEnemy.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneEx0001CannonTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneEx0002LaserTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneEx0003ShotTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneEx0004MissileTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneEx0005BazTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneEx0006TankTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneEx0007NozzleTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneH0001MLRSTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneH0002CommanchTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneH0003VorzoyTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneH0004TachikomaTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneH0005TransHeliTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneH0006UGTortikaTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneH0007YusouHeliTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneH0008BloodSockerCustomTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneH0008GunTankTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneH0101HeavyTankTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneH0102NightSpiderTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneH0103ClubGunnerTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneH0104LightTankTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneH0105TankGuardTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneH0106YaguraTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneH0107WalkerTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneH0108HoveredTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneH0201VorzoyFlyTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneH0202VorzoyWPTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneH0204GrazziTBL.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneH0206JourikusensyaTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneH0207TransShipsTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneH0301ArmoredCarTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneH0304BeeTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneH0401MovingCannonTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneH0402BloodSockerTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneH0403TaranturaTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneH0405NancyTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneH0406CarrymissileTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneH0407NautilusTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneH0408PowerdsuitTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneH0410WallTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneH0411StunbarrierTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneH0501BattlecannonTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneH0502BattletotikaTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/CEneH0503TapacheTbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/EnemyTbl/TexEneStg0302Tbl.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/Extra/CEneEx0001Cannon.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/Extra/CEneEx0001Cannon.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/Extra/CEneEx0002Laser.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/Extra/CEneEx0002Laser.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/Extra/CEneEx0003Shot.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/Extra/CEneEx0003Shot.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/Extra/CEneEx0004Missile.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/Extra/CEneEx0004Missile.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/Extra/CEneEx0005Wii.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/Extra/CEneEx0005Wii.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/Extra/CEneEx0006Tank.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/Extra/CEneEx0006Tank.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/Extra/CEneEx0007Nozzle.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/Extra/CEneEx0007Nozzle.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/Extra/CEneEx0008Bomb.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/Extra/CEneEx0008Bomb.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/Extra/CEneEx0009Body.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/Extra/CEneEx0009Body.h
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/Extra/CEneEx0010Suihei.cpp
		../../../../../../game/gunhound/vii_src/Enemy/HoundsEnemy/Extra/CEneEx0010Suihei.h
		../../../../../../game/gunhound/vii_src/GunHound/cmenu.h
		../../../../../../game/gunhound/vii_src/GunHound/GhStringTbl.cpp
		../../../../../../game/gunhound/vii_src/GunHound/GhStringTbl.h
		../../../../../../game/gunhound/vii_src/GunHound/HoundMain.cpp
		../../../../../../game/gunhound/vii_src/GunHound/Cockpit/CCockpit.cpp
		../../../../../../game/gunhound/vii_src/GunHound/Cockpit/Ccockpit.h
		../../../../../../game/gunhound/vii_src/GunHound/Cockpit/CFaceScreen.cpp
		../../../../../../game/gunhound/vii_src/GunHound/Cockpit/CFaceScreen.h
		../../../../../../game/gunhound/vii_src/GunHound/Cockpit/CMsgManager.cpp
		../../../../../../game/gunhound/vii_src/GunHound/Cockpit/CMsgManager.h
		../../../../../../game/gunhound/vii_src/GunHound/Cockpit/CMsgWindow.cpp
		../../../../../../game/gunhound/vii_src/GunHound/Cockpit/CMsgWindow.h
		../../../../../../game/gunhound/vii_src/GunHound/Cockpit/CRader.cpp
		../../../../../../game/gunhound/vii_src/GunHound/Cockpit/CRader.h
		../../../../../../game/gunhound/vii_src/GunHound/Cockpit/CRaderDamage.cpp
		../../../../../../game/gunhound/vii_src/GunHound/Cockpit/CRaderDamage.h
		../../../../../../game/gunhound/vii_src/GunHound/Cockpit/CStageClear.cpp
		../../../../../../game/gunhound/vii_src/GunHound/Cockpit/CStageClear.h
		../../../../../../game/gunhound/vii_src/GunHound/menu/CBriefing.cpp
		../../../../../../game/gunhound/vii_src/GunHound/menu/CBriefing.h
		../../../../../../game/gunhound/vii_src/GunHound/menu/CContinue.cpp
		../../../../../../game/gunhound/vii_src/GunHound/menu/CContinue.h
		../../../../../../game/gunhound/vii_src/GunHound/menu/CCustomHound.cpp
		../../../../../../game/gunhound/vii_src/GunHound/menu/CCustomHound.h
		../../../../../../game/gunhound/vii_src/GunHound/menu/CEndingDemo.cpp
		../../../../../../game/gunhound/vii_src/GunHound/menu/CEndingDemo.h
		../../../../../../game/gunhound/vii_src/GunHound/menu/CMainMenu.cpp
		../../../../../../game/gunhound/vii_src/GunHound/menu/CMainMenu.h
		../../../../../../game/gunhound/vii_src/GunHound/menu/cmissionmsg.h
		../../../../../../game/gunhound/vii_src/GunHound/menu/COpeningDemo.cpp
		../../../../../../game/gunhound/vii_src/GunHound/menu/COpeningDemo.h
		../../../../../../game/gunhound/vii_src/GunHound/menu/CSetUp.cpp
		../../../../../../game/gunhound/vii_src/GunHound/menu/CSetUp.h
		../../../../../../game/gunhound/vii_src/Stage/CBaseExtra.cpp
		../../../../../../game/gunhound/vii_src/Stage/CBaseExtra.h
		../../../../../../game/gunhound/vii_src/Stage/CBaseJungle.cpp
		../../../../../../game/gunhound/vii_src/Stage/CBaseJungle.h
		../../../../../../game/gunhound/vii_src/Stage/CBaseKichi.cpp
		../../../../../../game/gunhound/vii_src/Stage/CBaseKichi.h
		../../../../../../game/gunhound/vii_src/Stage/CBaseMountain.cpp
		../../../../../../game/gunhound/vii_src/Stage/CBaseMountain.h
		../../../../../../game/gunhound/vii_src/Stage/CBaseRiver.cpp
		../../../../../../game/gunhound/vii_src/Stage/CBaseRiver.h
		../../../../../../game/gunhound/vii_src/Stage/CScriptEngine.cpp
		../../../../../../game/gunhound/vii_src/Stage/CScriptEngine.h
		../../../../../../game/gunhound/vii_src/Stage/CStageBase.cpp
		../../../../../../game/gunhound/vii_src/Stage/CStageBase.h
		../../../../../../game/gunhound/vii_src/Stage/CStageLabo.cpp
		../../../../../../game/gunhound/vii_src/Stage/CStageLabo.h
		../../../../../../game/gunhound/vii_src/Stage/CStageStart.cpp
		../../../../../../game/gunhound/vii_src/Stage/CStageStart.h
		../../../../../../game/gunhound/vii_src/Stage/CStageTutorial.cpp
		../../../../../../game/gunhound/vii_src/Stage/CStageTutorial.h

		../../../../../../gxLib/gx.h
		../../../../../../gxLib/gxBlueTooth.h
		../../../../../../gxLib/gxDebug.cpp
		../../../../../../gxLib/gxDebug.h
		../../../../../../gxLib/gxFileManager.cpp
		../../../../../../gxLib/gxFileManager.h
		../../../../../../gxLib/gxLib.cpp
		../../../../../../gxLib/gxMain.cpp
		../../../../../../gxLib/gxMovieManager.cpp
		../../../../../../gxLib/gxMovieManager.h
		../../../../../../gxLib/gxNetworkManager.cpp
		../../../../../../gxLib/gxNetworkManager.h
		../../../../../../gxLib/gxOrderManager.cpp
		../../../../../../gxLib/gxOrderManager.h
		../../../../../../gxLib/gxPadManager.cpp
		../../../../../../gxLib/gxPadManager.h
		../../../../../../gxLib/gxPurchaseManager.h
		../../../../../../gxLib/gxRender.cpp
		../../../../../../gxLib/gxRender.h
		../../../../../../gxLib/gxSoundManager.cpp
		../../../../../../gxLib/gxSoundManager.h
		../../../../../../gxLib/gxTexManager.cpp
		../../../../../../gxLib/gxTexManager.h
		../../../../../../gxLib/hard/machine.h
		../../../../../../gxLib/hard/AndroidStudio/appMain.cpp
		../../../../../../gxLib/hard/AndroidStudio/CGamePad.cpp
		../../../../../../gxLib/hard/AndroidStudio/CGamePad.h
		../../../../../../gxLib/hard/AndroidStudio/CMemory.cpp
		../../../../../../gxLib/hard/AndroidStudio/CMemory.h
		../../../../../../gxLib/hard/AndroidStudio/COpenAL.cpp
		../../../../../../gxLib/hard/AndroidStudio/COpenAL.h
		../../../../../../gxLib/hard/AndroidStudio/COpenGLES2.cpp
		../../../../../../gxLib/hard/AndroidStudio/COpenGLES2.h
		../../../../../../gxLib/hard/AndroidStudio/COpenSLES.cpp
		../../../../../../gxLib/hard/AndroidStudio/COpenSLES.h
		../../../../../../gxLib/hard/AndroidStudio/machine.cpp
		../../../../../../gxLib/hard/AndroidStudio/machine.h
		../../../../../../gxLib/util/CCsv.cpp
		../../../../../../gxLib/util/CCsv.h
		../../../../../../gxLib/util/CFileOgg.cpp
		../../../../../../gxLib/util/CFileOgg.h
		../../../../../../gxLib/util/CFilePNG.cpp
		../../../../../../gxLib/util/CFilePNG.h
		../../../../../../gxLib/util/CFileTarga.cpp
		../../../../../../gxLib/util/CFileTarga.h
		../../../../../../gxLib/util/CFileTxt.h
		../../../../../../gxLib/util/CFileWave.cpp
		../../../../../../gxLib/util/CFileWave.h
		../../../../../../gxLib/util/CFileZip.h
		../../../../../../gxLib/util/CVirtualPad.cpp
		../../../../../../gxLib/util/CVirtualPad.h
#		../../../../../../gxLib/util/extra
#		../../../../../../gxLib/util/Font
		../../../../../../gxLib/util/gxMath.cpp
		../../../../../../gxLib/util/gxMatrix.cpp
		../../../../../../gxLib/util/gxMatrix.h
		../../../../../../gxLib/util/gxUIManager.cpp
		../../../../../../gxLib/util/gxUIManager.h
		../../../../../../gxLib/util/gxUtil.cpp
		../../../../../../gxLib/util/gxUtil.h
#		../../../../../../gxLib/util/miniz
#		../../../../../../gxLib/util/extra/action
#		../../../../../../gxLib/util/extra/alphaTip
#		../../../../../../gxLib/util/extra/Box2D
		../../../../../../gxLib/util/extra/CJSON.h
#		../../../../../../gxLib/util/extra/CLuaManager.cpp
#		../../../../../../gxLib/util/extra/CLuaManager.h
#		../../../../../../gxLib/util/extra/CPhyzics.cpp
#		../../../../../../gxLib/util/extra/CPhyzics.h
		../../../../../../gxLib/util/extra/CXML.cpp
		../../../../../../gxLib/util/extra/CXML.h
		../../../../../../gxLib/util/extra/action/CActManager.cpp
		../../../../../../gxLib/util/extra/action/CActManager.h
		../../../../../../gxLib/util/extra/action/CCollisionManager.cpp
		../../../../../../gxLib/util/extra/action/CCollisionManager.h
		../../../../../../gxLib/util/extra/action/CLogicAStar.cpp
		../../../../../../gxLib/util/extra/action/CLogicAStar.h
		../../../../../../gxLib/util/extra/alphaTip/CAlphaTip.cpp
		../../../../../../gxLib/util/extra/alphaTip/CAlphaTip.h
#		../../../../../../gxLib/util/extra/Box2D/Box2D.h
#		../../../../../../gxLib/util/extra/demo/demo.h
#		../../../../../../gxLib/util/extra/demo/bench/CBenchMark.cpp
#		../../../../../../gxLib/util/extra/demo/bench/CBenchmark.h
#		../../../../../../gxLib/util/extra/demo/fight/CSikakuEffect.cpp
#		../../../../../../gxLib/util/extra/demo/fight/CSikakuEffect.h
#		../../../../../../gxLib/util/extra/demo/fight/CSikakuGameMain.cpp
#		../../../../../../gxLib/util/extra/demo/fight/CSikakuPlayer.cpp
#		../../../../../../gxLib/util/extra/demo/fight/CSikakuPlayer.h
#		../../../../../../gxLib/util/extra/demo/fight/sikaku.h
#		../../../../../../gxLib/util/extra/demo/shoot/visorizer.cpp
#		../../../../../../gxLib/util/extra/demo/shoot/visorizer.h
		../../../../../../gxLib/util/extra/rapidjson/allocators.h
		../../../../../../gxLib/util/extra/rapidjson/cursorstreamwrapper.h
		../../../../../../gxLib/util/extra/rapidjson/document.h
		../../../../../../gxLib/util/extra/rapidjson/encodedstream.h
		../../../../../../gxLib/util/extra/rapidjson/encodings.h
#		../../../../../../gxLib/util/extra/rapidjson/error
		../../../../../../gxLib/util/extra/rapidjson/filereadstream.h
		../../../../../../gxLib/util/extra/rapidjson/filewritestream.h
		../../../../../../gxLib/util/extra/rapidjson/fwd.h
#		../../../../../../gxLib/util/extra/rapidjson/internal
		../../../../../../gxLib/util/extra/rapidjson/istreamwrapper.h
		../../../../../../gxLib/util/extra/rapidjson/memorybuffer.h
		../../../../../../gxLib/util/extra/rapidjson/memorystream.h
#		../../../../../../gxLib/util/extra/rapidjson/msinttypes
		../../../../../../gxLib/util/extra/rapidjson/ostreamwrapper.h
		../../../../../../gxLib/util/extra/rapidjson/pointer.h
		../../../../../../gxLib/util/extra/rapidjson/prettywriter.h
		../../../../../../gxLib/util/extra/rapidjson/rapidjson.h
		../../../../../../gxLib/util/extra/rapidjson/reader.h
		../../../../../../gxLib/util/extra/rapidjson/schema.h
		../../../../../../gxLib/util/extra/rapidjson/stream.h
		../../../../../../gxLib/util/extra/rapidjson/stringbuffer.h
		../../../../../../gxLib/util/extra/rapidjson/writer.h
		../../../../../../gxLib/util/extra/rapidjson/error/en.h
		../../../../../../gxLib/util/extra/rapidjson/error/error.h
		../../../../../../gxLib/util/extra/rapidjson/internal/biginteger.h
		../../../../../../gxLib/util/extra/rapidjson/internal/diyfp.h
		../../../../../../gxLib/util/extra/rapidjson/internal/dtoa.h
		../../../../../../gxLib/util/extra/rapidjson/internal/ieee754.h
		../../../../../../gxLib/util/extra/rapidjson/internal/itoa.h
		../../../../../../gxLib/util/extra/rapidjson/internal/meta.h
		../../../../../../gxLib/util/extra/rapidjson/internal/pow10.h
		../../../../../../gxLib/util/extra/rapidjson/internal/regex.h
		../../../../../../gxLib/util/extra/rapidjson/internal/stack.h
		../../../../../../gxLib/util/extra/rapidjson/internal/strfunc.h
		../../../../../../gxLib/util/extra/rapidjson/internal/strtod.h
		../../../../../../gxLib/util/extra/rapidjson/internal/swap.h
		../../../../../../gxLib/util/extra/rapidjson/msinttypes/inttypes.h
		../../../../../../gxLib/util/extra/rapidjson/msinttypes/stdint.h
		../../../../../../gxLib/util/extra/ss/CSpriteStudioManager.cpp
		../../../../../../gxLib/util/extra/ss/CSpriteStudioManager.h
		../../../../../../gxLib/util/extra/ss/SS5Conv.cpp
		../../../../../../gxLib/util/extra/tinyXML/tinyxml2.cpp
		../../../../../../gxLib/util/extra/tinyXML/tinyxml2.h
		../../../../../../gxLib/util/Font/CFontManager.cpp
		../../../../../../gxLib/util/Font/CFontManager.h
		../../../../../../gxLib/util/Font/CKanjiTbl.h
		../../../../../../gxLib/util/Font/FontTex01.cpp
		../../../../../../gxLib/util/Font/FontTex02.cpp
		../../../../../../gxLib/util/Font/KanjiTbl.cpp
		../../../../../../gxLib/util/Font/KanjiTbl.h
		../../../../../../gxLib/util/Font/u16tbl.txt
		../../../../../../gxLib/util/Font/UTF16Tbl.cpp
		../../../../../../gxLib/util/miniz/miniz.cpp
		../../../../../../gxLib/util/miniz/miniz.h

#OpenAL
#		openal/OpenAL32/alDatabuffer.c 
		openal/OpenAL32/alMidi.c
		openal/Alc/helpers.c
		openal/Alc/hrtf.c
		openal/Alc/mixer.c
		openal/Alc/mixer_c.c
		openal/Alc/panning.c
		openal/Alc/threads.c
		openal/Alc/backends/base.c
		openal/Alc/backends/loopback.c
		openal/Alc/backends/opensl.c
		openal/Alc/backends/null.c
		openal/Alc/effects/autowah.c
		openal/Alc/effects/chorus.c
		openal/Alc/effects/compressor.c
		openal/Alc/effects/dedicated.c
		openal/Alc/effects/distortion.c
		openal/Alc/effects/echo.c
		openal/Alc/effects/equalizer.c
		openal/Alc/effects/flanger.c
		openal/Alc/effects/modulator.c
		openal/Alc/effects/null.c
		openal/Alc/effects/reverb.c
		openal/OpenAL32/alAuxEffectSlot.c
		openal/OpenAL32/alBuffer.c
		openal/OpenAL32/alEffect.c
		openal/OpenAL32/alError.c
		openal/OpenAL32/alExtension.c
		openal/OpenAL32/alFilter.c
		openal/OpenAL32/alListener.c
		openal/OpenAL32/alSource.c
		openal/OpenAL32/alState.c
		openal/OpenAL32/alThunk.c
		openal/Alc/ALc.c
		openal/Alc/alcConfig.c
		openal/Alc/alcRing.c
		openal/Alc/ALu.c
		openal/Alc/bs2b.c
#		openal/Alc/alcEcho.c
#		openal/Alc/alcModulator.c
#		openal/Alc/alcReverb.c
#		openal/Alc/alcThread.c
#		openal/Alc/android.c
#		openal/Alc/null.c



	)

# add lib dependencies
target_link_libraries(
					gxLib2018
					android
					log 
					EGL
					GLESv2
					OpenSLES
					)

#LOCAL_STATIC_LIBRARIES := cpufeatures

include_directories(.)
